desc_ca.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for Conditional Access. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_desc_ca
| Contains the private data for Conditional Access. More...

## Macros

#define | dvb_desc_ca_field_first
| initial descriptor field at dvb_desc_ca struct
#define | dvb_desc_ca_field_last
| last descriptor field at dvb_desc_ca struct

## Functions

int | dvb_desc_ca_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the CA descriptor.
void | dvb_desc_ca_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the CA descriptor.
void | dvb_desc_ca_free (struct dvb_desc *desc)
| Frees all data allocated by the CA descriptor.

## Detailed Description

Provides the descriptors for Conditional Access.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - ETSI EN 300 468 V1.11.1 (2010-04)

See also
  http://www.etherguidesystems.com/help/sdos/mpeg/semantics/mpeg-2/descriptors/CA_descriptor.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_ca.h.

## Macro Definition Documentation

## dvb_desc_ca_field_first

#define dvb_desc_ca_field_first

initial descriptor field at dvb_desc_ca struct

Definition at line 77 of file desc_ca.h.

## dvb_desc_ca_field_last

#define dvb_desc_ca_field_last

last descriptor field at dvb_desc_ca struct

Definition at line 79 of file desc_ca.h.